digraph "CFG for 'splay_tree_delete' function" {
	label="CFG for 'splay_tree_delete' function";

	Node0xdfd000 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%1:\l  %2 = alloca %struct.splay_tree_s*, align 8\l  store %struct.splay_tree_s* %0, %struct.splay_tree_s** %2, align 8\l  %3 = load %struct.splay_tree_s*, %struct.splay_tree_s** %2, align 8\l  %4 = load %struct.splay_tree_s*, %struct.splay_tree_s** %2, align 8\l  %5 = getelementptr inbounds %struct.splay_tree_s, %struct.splay_tree_s* %4,\l... i32 0, i32 0\l  %6 = load %struct.splay_tree_node_s*, %struct.splay_tree_node_s** %5, align 8\l  call void @splay_tree_delete_helper(%struct.splay_tree_s* %3,\l... %struct.splay_tree_node_s* %6)\l  %7 = load %struct.splay_tree_s*, %struct.splay_tree_s** %2, align 8\l  %8 = getelementptr inbounds %struct.splay_tree_s, %struct.splay_tree_s* %7,\l... i32 0, i32 5\l  %9 = load void (i8*, i8*)*, void (i8*, i8*)** %8, align 8\l  %10 = load %struct.splay_tree_s*, %struct.splay_tree_s** %2, align 8\l  %11 = bitcast %struct.splay_tree_s* %10 to i8*\l  %12 = load %struct.splay_tree_s*, %struct.splay_tree_s** %2, align 8\l  %13 = getelementptr inbounds %struct.splay_tree_s, %struct.splay_tree_s*\l... %12, i32 0, i32 6\l  %14 = load i8*, i8** %13, align 8\l  call void %9(i8* %11, i8* %14)\l  ret void\l}"];
}
